<div>
  <h2 id="page-heading" data-cy="AktaHeading">
    <span>Aktas</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span>Refresh list</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-akta"
        [routerLink]="['/akta/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span>Create a new Akta</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  @if (aktas?.length === 0) {
    <div class="alert alert-warning" id="no-result">
      <span>No Aktas found</span>
    </div>
  }

  @if (aktas && aktas.length > 0) {
    <div class="table-responsive table-entities" id="entities">
      <table class="table table-striped" aria-describedby="page-heading">
        <thead>
          <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
            <th scope="col" jhiSortBy="id">
              <div class="d-flex">
                <span>ID</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="tglOrder">
              <div class="d-flex">
                <span>Tgl Order</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="orderType">
              <div class="d-flex">
                <span>Order Type</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="kode">
              <div class="d-flex">
                <span>Kode</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="nomor">
              <div class="d-flex">
                <span>Nomor</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="tanggal">
              <div class="d-flex">
                <span>Tanggal</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="pukulAwal">
              <div class="d-flex">
                <span>Pukul Awal</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="pukulAkhir">
              <div class="d-flex">
                <span>Pukul Akhir</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="status">
              <div class="d-flex">
                <span>Status</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="updateBy">
              <div class="d-flex">
                <span>Update By</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="updateOn">
              <div class="d-flex">
                <span>Update On</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="ppk.id">
              <div class="d-flex">
                <span>Ppk</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="notaris.id">
              <div class="d-flex">
                <span>Notaris</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="penerimaKuasa.id">
              <div class="d-flex">
                <span>Penerima Kuasa</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="saksiOne.id">
              <div class="d-flex">
                <span>Saksi One</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="saksiTwo.id">
              <div class="d-flex">
                <span>Saksi Two</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="cabang.id">
              <div class="d-flex">
                <span>Cabang</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="skSubtitusi.id">
              <div class="d-flex">
                <span>Sk Subtitusi</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col"></th>
          </tr>
        </thead>
        <tbody>
          @for (akta of aktas; track trackId) {
            <tr data-cy="entityTable">
              <td>
                <a [routerLink]="['/akta', akta.id, 'view']">{{ akta.id }}</a>
              </td>
              <td>{{ akta.tglOrder | formatMediumDate }}</td>
              <td>{{ akta.orderType }}</td>
              <td>{{ akta.kode }}</td>
              <td>{{ akta.nomor }}</td>
              <td>{{ akta.tanggal }}</td>
              <td>{{ akta.pukulAwal | formatMediumDatetime }}</td>
              <td>{{ akta.pukulAkhir | formatMediumDatetime }}</td>
              <td>{{ akta.status }}</td>
              <td>{{ akta.updateBy }}</td>
              <td>{{ akta.updateOn | formatMediumDatetime }}</td>
              <td>
                @if (akta.ppk) {
                  <div>
                    <a [routerLink]="['/ppk', akta.ppk.id, 'view']">{{ akta.ppk.id }}</a>
                  </div>
                }
              </td>
              <td>
                @if (akta.notaris) {
                  <div>
                    <a [routerLink]="['/notaris', akta.notaris.id, 'view']">{{ akta.notaris.id }}</a>
                  </div>
                }
              </td>
              <td>
                @if (akta.penerimaKuasa) {
                  <div>
                    <a [routerLink]="['/penerima-kuasa', akta.penerimaKuasa.id, 'view']">{{ akta.penerimaKuasa.id }}</a>
                  </div>
                }
              </td>
              <td>
                @if (akta.saksiOne) {
                  <div>
                    <a [routerLink]="['/saksi', akta.saksiOne.id, 'view']">{{ akta.saksiOne.id }}</a>
                  </div>
                }
              </td>
              <td>
                @if (akta.saksiTwo) {
                  <div>
                    <a [routerLink]="['/saksi', akta.saksiTwo.id, 'view']">{{ akta.saksiTwo.id }}</a>
                  </div>
                }
              </td>
              <td>
                @if (akta.cabang) {
                  <div>
                    <a [routerLink]="['/cabang', akta.cabang.id, 'view']">{{ akta.cabang.id }}</a>
                  </div>
                }
              </td>
              <td>
                @if (akta.skSubtitusi) {
                  <div>
                    <a [routerLink]="['/sk-subtitusi', akta.skSubtitusi.id, 'view']">{{ akta.skSubtitusi.id }}</a>
                  </div>
                }
              </td>
              <td class="text-end">
                <div class="btn-group">
                  <a [routerLink]="['/akta', akta.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                    <fa-icon icon="eye"></fa-icon>
                    <span class="d-none d-md-inline">View</span>
                  </a>

                  <a [routerLink]="['/akta', akta.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                    <fa-icon icon="pencil-alt"></fa-icon>
                    <span class="d-none d-md-inline">Edit</span>
                  </a>

                  <button type="submit" (click)="delete(akta)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                    <fa-icon icon="times"></fa-icon>
                    <span class="d-none d-md-inline">Delete</span>
                  </button>
                </div>
              </td>
            </tr>
          }
        </tbody>
      </table>
    </div>
  }
  @if (aktas && aktas.length > 0) {
    <div>
      <div class="d-flex justify-content-center">
        <jhi-item-count [params]="{ page: page, totalItems: totalItems, itemsPerPage: itemsPerPage }"></jhi-item-count>
      </div>

      <div class="d-flex justify-content-center">
        <ngb-pagination
          [collectionSize]="totalItems"
          [page]="page"
          [pageSize]="itemsPerPage"
          [maxSize]="5"
          [rotate]="true"
          [boundaryLinks]="true"
          (pageChange)="navigateToPage($event)"
        ></ngb-pagination>
      </div>
    </div>
  }
</div>
